#ifndef BSP_USART_H
#define BSP_USART_H
#include <stdint.h> 
#include <stdio.h>
#include <string.h>

//板子上的usart2，不是外设usart2
void UART2_TxDma_Init(void);
void UART2_TxDma_Enable(uint8_t *data, uint16_t len);
void UART2_SendByte		(uint8_t Byte);
void UART2_SendArray	(uint8_t *Array,uint16_t Length);
void UART2_SendString	(char *String);
void UART2_SendNumber	(uint32_t Number,uint8_t Length);
void UART2_SendNumber_Sign(int32_t Number, uint8_t Length);
void UART2_SendFloat_Sign(float value, uint8_t decimal_places);
//void UART2_Printf(char *format,...);
uint32_t USART_Pow(uint32_t X, uint32_t Y);
//uint8_t UART2_GetRxFlag(void);


void DBUS_DMA_Init(uint8_t *rx1_buf, uint8_t *rx2_buf, uint16_t dma_buf_num);


#endif
